# Monaca Localkit Tutorial

{% hint style="warning" %}
You are required to have a valid plan in order to use the Monaca Localkit. Otherwise, it will run in the evaluation mode for 30 days after the first login. Please refer to [Monaca Subscription Plans](https://monaca.mobi/en/pricing) for more details.
{% endhint %}

{% hint style="warning" %}
Please note that [Backend](broken://pages/-MfWeAgCwPQFDDYJG4vc) and [Push Notification](broken://pages/-MfWeAfPQVMlEV3x9YSK) are currently not available in the Monaca Localkit.
{% endhint %}

Monaca Localkit is a local development environment tool for Monaca apps. It can be used with many development tools including editors, source code management system, task runner and so on. It also allows you to develop offline and provides fast synchronization with the Monaca Debugger.

Before getting started with this tutorial, you will need to:

* install the Monaca Localkit. Download [here](https://monaca.io/localkit.html).
* have a smart mobile device (either iOS or Android) if you want to test on a real device.

{% content-ref url="/pages/-MfWeAkZOY9of4Ubo5aN" %}
[Part 1: Starting a Project](/tutorials/monaca_localkit/starting_project.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAkENWR6ZWAf048I" %}
[Part 2: Running Monaca Debugger with Monaca Localkit](/tutorials/monaca_localkit/testing_debugging.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAlePIGtjQbjfusI" %}
[Part 3: Building a Monaca App](/tutorials/monaca_localkit/building_app.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAmTS65Ss2cuVa0O" %}
[Part 4: Publishing a Monaca App](/tutorials/monaca_localkit/publishing_app.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/tutorials/monaca_localkit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
